Game Develop Core: gd::CallbacksForExpressionCorrectnessTesting Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::CallbacksForExpressionCorrectnessTesting Class Reference
IDE Classes ( Classes to be used to implement a development environment )

Parser callbacks used to check expressions correctness. More...

`#include <ExpressionsCorrectnessTesting.h>`

Inheritance diagram for gd::CallbacksForExpressionCorrectnessTesting:
[legend]

## Public Member Functions

| CallbacksForExpressionCorrectnessTesting (const gd::Project &project, const gd::Layout &layout)
void | OnOperator (std::string text)
void | OnNumber (std::string text)
void | OnConstantToken (std::string text)
void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
bool | OnSubMathExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)
bool | OnSubTextExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)

## Additional Inherited Members

Public Attributes inherited from gd::ParserCallbacks
std::string | firstErrorStr
size_t | firstErrorPos

## Detailed Description

Parser callbacks used to check expressions correctness.

Usage example:

gd::CallbacksForExpressionCorrectnessTesting callbacks(game, scene);
gd::ExpressionParser expressionParser(expression);
if ( !expressionParser.ParseMathExpression(game, scene, callbacks) )
//Expression is not valid
else
//Expression is correct

See Also
  gd::ExpressionParser
  gd::ParserCallbacks

The documentation for this class was generated from the following files:

- ExpressionsCorrectnessTesting.h
- ExpressionsCorrectnessTesting.cpp